Class | Fog::Storage::AWS::Directory
In: | lib/fog/aws/models/storage/directory.rb
Parent: | Fog::Model

### Methods

acl= destroy files location location= payer payer= public= public_url save versioning= versioning? versions

### Constants

VALID_ACLS | = | ['private', 'public-read', 'public-read-write', 'authenticated-read']
INVALID_LOCATIONS | = | ['us-east-1'] |  | See docs.amazonwebservices.com/AmazonS3/latest/API/RESTBucketPUT.html

### Attributes

acl | [R] |

### Public Instance methods

acl=(new_acl)
destroy()
files()
location()
location=(new_location)
payer()
payer=(new_payer)
public=(new_public)
public_url()
save()
versioning=(new_versioning)
versioning?()
versions()

[Validate]